Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Update the default version pointer for a skill.

POST/skills/{skill_id}

Update the default version pointer for a skill.

Path ParametersExpand Collapse
skill_id: string
Body ParametersJSONExpand Collapse
default_version: string

The skill version number to set as default.

ReturnsExpand Collapse
Skill object { id, created_at, default_version, 4 more }
id: string

Unique identifier for the skill.

created_at: number

Unix timestamp (seconds) for when the skill was created.

formatunixtime
default_version: string

Default version for the skill.

description: string

Description of the skill.

latest_version: string

Latest version for the skill.

name: string

Name of the skill.

object: "skill"

The object type, which is skill.

Update the default version pointer for a skill.

curl https://api.openai.com/v1/skills/$SKILL_ID \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -d '{
          "default_version": "default_version"
        }'
{
  "id": "id",
  "created_at": 0,
  "default_version": "default_version",
  "description": "description",
  "latest_version": "latest_version",
  "name": "name",
  "object": "skill"
}
Returns Examples
{
  "id": "id",
  "created_at": 0,
  "default_version": "default_version",
  "description": "description",
  "latest_version": "latest_version",
  "name": "name",
  "object": "skill"
}